// pages/monitor/monitoringRecord.js
const api = require('../../api/index')
Page({

  /**
   * 页面的初始数据
   */
  data: {
    tableData:[],
    queryParams:{
      current:1,
      size:10
    },
    total:0,
    triggered:false,
    load:false,
    hasMore:true,
    id:null,
    productName:''
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    this.setData({
      id:options.id,
      productName:options.productName
    })
    this.init()
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {
    
  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 页面功能
   */
  //初始化加载
  init(){
    var params = {
      current:1,
      size:10
    }
    this.setData(
      {
        queryParams:params,
        total:0,
        tableData:[],
        hasMore:true
      }
    )
    this.getMyMonitorRecord()
  },

  //下拉刷新
  onRefresh() {
    console.log('onRefresh')
    this.setData({
      triggered: true,
    })
    this.init()
  },
  //获取监控产品
  getMyMonitorRecord(){
    var params = {
      ...this.data.queryParams,
      id:this.data.id
    }
    wx.showLoading({
      title: '加载中',
    })
    api.selectMonitoringRecord(params).then(res=>{
      if(res.code == 200){
        var data = this.data.tableData
        var data2 = res.data.data
        // res.data.data.forEach(item => {
        //   var num = item.num
        //   var productName = this.data.productName
        //   var obj =  {
        //     text: item.createTime,
        //     desc: `您监控的<span style="color:red">${productName}</span>有<span style="color:red">${num}</span>件新专利。`,
        //   }
        //   data2.push(obj)
        // });
        data = data.concat(data2)
        this.setData(
          {
            tableData:data,
            total:res.data.total,
            triggered: false,
            load:false
          }
        )
        if(this.data.total<=data.length){
          this.setData({
            hasMore:false
          })
        }
        api.notify(
          {
            type:'success',
            message:'查询成功',
            top:wx.getStorageSync('height')
          }
        )
      }
    }).catch(error=>{
      wx.hideLoading()
      this.setData({
        triggered: false,
        load:false
      })
    })
  },
  //加载更多
  loadMore(){
    var current = this.data.queryParams.current
    this.setData(
      {
        ['queryParams.current']:current+1,
        load:true
      }
    )
    this.getMyMonitorRecord()
  },
  //查看专利详情
  checkPatent(e){
    var {item} = e.currentTarget.dataset
    var id = item.id
    wx.navigateTo({
      url: '/pages/collectPatent/collectPatent?id='+id+"&title=监控记录相关专利&type=2",
    })
  },



  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})